### input packages
library(stringr)
library(metaX)

### input parameters
case_loc='E:\\metabolic\\raw\\msv000084112\\mzXML\\case'
ctrl_loc='E:\\metabolic\\raw\\msv000084112\\mzXML\\ctrl'
splist_op='D:/metabolic/sampleList.txt'
peak_op='D:\\metabolic/metaX-feature.txt'
cla_p=c(rep('NH',each=6),rep('NT',each=6))
batch_p=rep(1,each=length(sample))
ratio_Pairs='NH:NT'


### load case and ctrl mzXML files into para
para <- new("metaXpara")
dir.case(para)=case_loc
dir.ctrl(para)=ctrl_loc
sample_case=list.files(case_loc)
sample_case=str_remove(sample_case,'\\.[:print:]+')
sample_ctrl=list.files(ctrl_loc)
sample_ctrl=str_remove(sample_ctrl,'\\.[:print:]+')
sample=c(sample_ctrl,sample_case)

### generate samplelist file(description of sample)
batch=batch_p
class=cla_p
order=1:length(sample)
sample_mat=cbind(sample,batch,class,order)
write.table(sample_mat,file = splist_op,sep = '\t',quote=F,row.names=F)
sampleListFile(para) <- splist_op
samList <- read.delim(splist_op)

### find peaks parameters input
### RT range(default c(20,50))
xcmsSet.peakwidth(para) <- c(5,100)
xcmsSet.snthresh(para) <- 10
xcmsSet.prefilter(para) <- c(3,100)
xcmsSet.noise(para) <- 0
xcmsSet.nSlaves(para) <- 4
group.bw(para) <- 5
group.minfrac(para) <- 0.3
group.mzwid(para) <- 0.015
group.max(para) <- 1000

### run find peaks by xcms,extract peaks intensity from ms1 
p <- peakFinder(para)

### one-click quantification data process
para <- new("metaXpara")
pfile <- peak_op
sfile <- splist_op
rawPeaks(para) <- read.delim(pfile,check.names = FALSE)
sampleListFile(para) <- sfile
ratioPairs(para) <- ratio_Pairs
plsdaPara <- new("plsDAPara")
para@outdir <- 'output'
p <- metaXpipe(para,plsdaPara=plsdaPara,
               missValueRatioQC = 0.5,
               missValueRatioSample = 0.8,
               cvFilter=0.3,idres=NULL,
               qcsc=0,scale="pareto",
               remveOutlier=FALSE,
               nor.method="pqn",
               t=1,nor.order = 1,
               pclean = FALSE,
               doROC=FALSE)  
